'
' JustLDAP test script for setting the user password never expires to True or False
' Demonstrates standard text error message retrieval to assist debugging.
'
' Note that if the the account option "User must change password at next logon" is set
' Then that option will be automatically cleared if the password is set to never expire
' i.e the 2nd parameter is set to 'True' 
'
' Input parameters - UserID (sAMAccountName), Boolean True or False as desired
'                    
'
' Returns Variant - typically 0 (Integer) indicating success
'

Option Explicit

Dim oLdap, Result

Set oLdap = CreateObject("JustLDAP.Admin")

  ' Set the password to never expire
  
  Result = oLdap.UserPasswordNeverExpires("newuser", True) 
                     
 
  if oLdap.ErrorOccurred() = True Then
    Result = oLdap.GetLastErrorAsMessage()
  End If
 
  Wscript.Echo Result

Set oLdap = Nothing



